esphome:
  name: bigs-coo
  friendly_name: Bigs' Coop Inside
  platform: ESP8266
  board: d1_mini

# Enable logging
logger:

# Enable Home Assistant API
api:
  encryption:
    key: "Use Key Home Assistant Gave You."

ota:
  - platform: esphome
    password: "Use Passowrd Home Assistant Gave You."

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password

  # Enable fallback hotspot (captive portal) in case wifi connection fails
  ap:
    ssid: "Bigs-Coop-Temperature"
    password: "Use password Home Assistant Gave You."

captive_portal:

#You will need to tweak the offset.
sensor:
  - platform: dht
    model: DHT22_TYPE2
    pin: D3
    temperature:
      name: "Temperature"
      filters:
        - offset: -2.7
    
    humidity:
      name: "Humidity"
    update_interval: 10s
    
